High-Level Data Reduction Library: hdrl_casu

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_casu
Catalogue

Generic functions. More...

Collaboration diagram for hdrl_casu:

## Functions
hdrl_casu_tfits * | hdrl_casu_tfits_wrap (cpl_table *tab, cpl_propertylist *ehu)
| Wrap an table in a hdrl_casu_tfits wrapper.
cpl_propertylist * | hdrl_casu_tfits_get_ehu (hdrl_casu_tfits *p)
| Get the propertylist for the extension header for a given hdrl_casu_tfits image.
cpl_table * | hdrl_casu_tfits_get_table (hdrl_casu_tfits *p)
| Get the CPL table from the hdrl_casu_tfits object.
void | hdrl_casu_tfits_delete (hdrl_casu_tfits *p)
| Free all the workspace associated with a hdrl_casu_fits object.
hdrl_casu_fits * | hdrl_casu_fits_wrap (cpl_image *im)
| Wrap an image in a hdrl_casu_fits wrapper.
hdrl_casu_fits * | hdrl_casu_fits_duplicate (hdrl_casu_fits *in)
| Copy a hdrl_casu_fits structure into another one.
cpl_propertylist * | hdrl_casu_fits_get_ehu (hdrl_casu_fits *p)
| Get the propertylist for the extension header for a given hdrl_casu_fits image.
cpl_image * | hdrl_casu_fits_get_image (hdrl_casu_fits *p)
| Get the CPL image from the hdrl_casu_fits object.
void | hdrl_casu_fits_delete (hdrl_casu_fits *p)
| Free all the workspace associated with a hdrl_casu_fits object.
cpl_error_code | hdrl_casu_catalogue (hdrl_casu_fits *infile, hdrl_casu_fits *conf, const cpl_wcs *wcs, cpl_size ipix, double threshold, cpl_size icrowd, double rcore, cpl_size bkg_subtr, cpl_size nbsize, hdrl_catalogue_options cattype, double filtfwhm, double gainloc, double saturation, hdrl_casu_result *res)
| Generate object catalogues from input images.

## Detailed Description

Generic functions.

## Function Documentation

## ◆ hdrl_casu_catalogue()

cpl_error_code hdrl_casu_catalogue | ( | hdrl_casu_fits * | infile,
|  | hdrl_casu_fits * | conf,
|  | const cpl_wcs * | wcs,
|  | cpl_size | ipix,
|  | double | threshold,
|  | cpl_size | icrowd,
|  | double | rcore,
|  | cpl_size | bkg_subtr,
|  | cpl_size | nbsize,
|  | hdrl_catalogue_options | cattype,
|  | double | filtfwhm,
|  | double | gainloc,
|  | double | saturation,
|  | hdrl_casu_result * | res
| ) |  |

Generate object catalogues from input images.

Parameters

  infile | The input frame with the image to be analysed
  conf | The input frame with the confidence map
  wcs | Input WCS structure
  ipix | The minimum allowable size of an object
  threshold | The detection threshold in sigma above sky
  icrowd | If set then the deblending software will be used
  rcore | The core radius in pixels
  bkg_subtr | The background subtraction switch
  nbsize | The smoothing box size for background map estimation
  cattype | The type of catalogue to be produced
  filtfwhm | The FWHM of the smoothing kernel in the detection algorithm
  gainloc | The detector gain in e-/ADU
  saturation | The saturation level
  res |

Returns
  CPL_ERROR_NONE if everything is ok or the concret error in other case

Description: A frame and its confidence map are given. Detection thresholds and various other parameters are also given. Output is a table with all the extracted objects with object classifications included.

Note
  QC headers: The following values will go into the extension propertylist
  - SATURATION: Saturation level in ADU
  - MEAN_SKY: Mean sky brightness in ADU
  - SKY_NOISE: Pixel noise at sky level in ADU
  - IMAGE_SIZE: The average FWHM of stellar objects in pixels
  - ELLIPTICITY: The average stellar ellipticity (1 - b/a)
  - APERTURE_CORR: The stellar aperture correction for 1x core flux
  - NOISE_OBJ: The number of noise objects
  Other headers: The following values will go into the extension propertylist
  - APCORxx: A series of aperture correction values for each of the core radius apertures.
  - SYMBOLx: A series of keywords to be used by GAIA for plotting ellipses

## ◆ hdrl_casu_fits_delete()

void hdrl_casu_fits_delete | ( | hdrl_casu_fits * | p | ) |

Free all the workspace associated with a hdrl_casu_fits object.

Parameters

  p | The input hdrl_casu_tfits object

## ◆ hdrl_casu_fits_duplicate()

hdrl_casu_fits * hdrl_casu_fits_duplicate | ( | hdrl_casu_fits * | in | ) |

Copy a hdrl_casu_fits structure into another one.

Parameters

  in | The input hdrl_casu_fits object

Returns
  The output hdrl_casu_fits object.

Description: An input hdrl_casu_fits structure is duplcated and returned

## ◆ hdrl_casu_fits_get_ehu()

cpl_propertylist * hdrl_casu_fits_get_ehu | ( | hdrl_casu_fits * | p | ) |

Get the propertylist for the extension header for a given hdrl_casu_fits image.

Parameters

  p | The input hdrl_casu_fits object

Returns
  The propertylist representing the extension header of the input image (NULL if there is an error).

Description: Get the propertylist for the extension header for a given hdrl_casu_fits image. This is the extension that is relevant of the image. This should only need to be read once and then can be used to add things to the primary header.

## ◆ hdrl_casu_fits_get_image()

cpl_image * hdrl_casu_fits_get_image | ( | hdrl_casu_fits * | p | ) |

Get the CPL image from the hdrl_casu_fits object.

Parameters

  p | The input hdrl_casu_tfits object

Returns
  The cpl_image object. NULL if there was an error.

Description: Return the CPL image from the input hdrl_casu_fits object. This image is suitable for use in all cpl_image routines.

## ◆ hdrl_casu_fits_wrap()

hdrl_casu_fits * hdrl_casu_fits_wrap | ( | cpl_image * | im | ) |

Wrap an image in a hdrl_casu_fits wrapper.

Parameters

  im | The input cpl_image

Returns
  The new hdrl_casu_tfits structure.

Description: The input image is inserted into a hdrl_casu_fits wrapper. A model hdrl_casu_fits object may be provided to give the new object header.

## ◆ hdrl_casu_tfits_delete()

void hdrl_casu_tfits_delete | ( | hdrl_casu_tfits * | p | ) |

Free all the workspace associated with a hdrl_casu_fits object.

Parameters

  p | The input hdrl_casu_tfits object

## ◆ hdrl_casu_tfits_get_ehu()

cpl_propertylist * hdrl_casu_tfits_get_ehu | ( | hdrl_casu_tfits * | p | ) |

Get the propertylist for the extension header for a given hdrl_casu_tfits image.

Parameters

  p | The input hdrl_casu_tfits object

Returns
  The propertylist represeting the extension header of the input table (NULL if there is an error).

Description: Get the propertylist for the extension header for a given hdrl_casu_tfits image. This is the extension that is relevant of the image. This should only need to be read once and then can be used to add things to the primary header.

## ◆ hdrl_casu_tfits_get_table()

cpl_table * hdrl_casu_tfits_get_table | ( | hdrl_casu_tfits * | p | ) |

Get the CPL table from the hdrl_casu_tfits object.

Parameters

  p | The input hdrl_casu_tfits object

Returns
  The cpl_image object. NULL if there was an error.

Description: Return the CPL table from the input hdrl_casu_tfits object. This table is suitable for use in all cpl_table routines.

## ◆ hdrl_casu_tfits_wrap()

hdrl_casu_tfits * hdrl_casu_tfits_wrap | ( | cpl_table * | tab,
|  | cpl_propertylist * | ehu
| ) |  |

Wrap an table in a hdrl_casu_tfits wrapper.

Parameters

  tab | The input cpl_table
  ehu | The input propertylist for the extension header for the new object.

Returns
  The new hdrl_casu_tfits structure.

Description: The input table is inserted into a hdrl_casu_tfits wrapper. A model hdrl_casu_tfits object may be provided to give the new object headers. If the ehu parameters are not null then they will be used as the propertylists for the new object. If not, then an attempt will be made to copy the propertylists from the model.